@extends('layouts.hcp')
@section('content')

<div class="bg-light">
  <div class="container pt-3">
    <nav class="mb-0">
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{route('index')}}"><u>Home</u></a></li>
        <li class="breadcrumb-item"><a href="{{route('hcp.index')}}"><u>Healthcare Professionals</u></a></li>
        <li class="breadcrumb-item"><a href="{{route('hcp.order-products')}}"><u>Order Products</u></a></li>
        <li class="breadcrumb-item active" aria-current="page">Ligators</li>
      </ol>
    </nav>
  </div>
</div>

<div class="bg-grey py-5">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-lg-7 text-center">
        <h5 class="title m-0">Ligators</h5>
      </div>
    </div>
  </div>
</div>

<div class="container py-5">
  <div class="row">
    <div class="col-lg-3 d-lg-block d-none">
      @include('app.hcp.order-products.sidenav')
    </div>
    <div class="col-lg-8">
      <h4 class="header">Order Snyder HemBand Ligators Today</h4>
      <p class="mt-3 mb-4">If you are a licensed healthcare practitioner in the United States, you’re eligible to order the Snyder HemBand using this online form. You may also use <u><a href="{{asset('order_form.pdf')}}" target="_blank">this PDF-based form</a></u> to order via fax or email.</p>

     @include('app.hcp.order-products.forms.place-order')

      <p>Need training? We're here to help. We can arrange virtual or in-person training sessions for both healthcare providers and members of the support staff.</p>
      <div class="text-center my-4">
        <a href="{{route('hcp.get-trained')}}" class="btn btn-success btn-lg rounded-0 px-5 py-2">Schedule Training</a>
      </div>

      <h5 class="header">About our Ligator</h5>
      <p>The Snyder HemBand is a non-surgical, disposable, single-use system for the treatment of hemorrhoids using Rubber Band Ligation (RBL).</p>
      <p>It utilizes a simple suction syringe with an integrated obturator to ensure patient comfort and ease during the procedure.</p>
      <p>During the procedure, a ligation rubber band is placed around the base of the hemorrhoid to disrupt blood flow to the hemorrhoid.</p>
      <p>RBL is a simple, safe, and effective method for treating symptomatic hemorrhoids with significant improvement in quality of life.</p>


      <h5 class="mt-4">What We Offer</h5>
      <p>To support your practice, we have a number of services that we offer as part of the Snyder HemBand System. When you choose HemBand, you’re choosing our comprehensive support network at no cost to you.</p>
      <ul>
        <li>Marketing Materials</li>
        <li>In-person and online training for clinicians and staff</li>
        <li>Email and phone support</li>
        <li>Symptom Questionnaire and other Clinical Forms</li>
        <li>Online Directory listing on our patient-facing website</li>
      </ul>
    </div>
  </div>
</div>
<script src="https://cdn.jsdelivr.net/npm/vue@2.7.14"></script>
@endsection
