@extends('layouts.hcp')
@section('content')

<div class="bg-light">
    <div class="container pt-3">
        <nav class="mb-0">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('index')}}"><u>Home</u></a></li>
                <li class="breadcrumb-item"><a href="{{route('hcp.index')}}"><u>Healthcare Professionals</u></a></li>
                <li class="breadcrumb-item active" aria-current="page">Practice Support</li>
            </ol>
        </nav>
    </div>
</div>
<div class="py-5">
  <div class="container py-lg-4">
    <div class="row justify-content-center">
      <div class="col-lg-7 text-center">
        <h5 class="subtitle mb-4 text-pry">Your Home for Snyder HemBand Support</h5>
        <p>Check out our support documents for Snyder HemBand-trained Healthcare Professionals and staff. Whatever you need to support your practice in hemorrhoid banding, from clinical and staff training, symptom questionnaire forms, patient fliers, and more can be found here.</p>
      </div>
    </div>
  </div>
</div>
<div class="bg-light">
<div class="container py-5">
    <div class="row justify-content-center">
      <div class="col-lg-8">
        <div class="p-xl-0">
          <div class="box-2">
            <div class="d-flex flex-column">
              <h5 class="header ">Training</h5>
              <p class="">Clinical and staff training, online and in-person.</p>
              <a href="/hcp/practice-support/training" class="text-white d-block mt-auto text-end">Learn more <i class="ms-1 fal fa-angle-right"></i> </a>
            </div>
          </div>
        <div class="row m-xl-0 box-container">
          <div class="col-xl-6 p-xl-0">
            <div class="box-3">
              <div class="d-flex flex-column">
                <h5 class="header ">Directory Listing</h5>
                <p>Add your practice to our online directory.</p>
                <a href="{{route('hcp.practice-support-directory')}}" class="text-white d-block mt-auto text-end">Learn more <i class="ms-1 fal fa-angle-right"></i> </a>
              </div>
            </div>
          </div>
          <div class="col-xl-6 p-xl-0">
            <div class="box-4">
              <div class="d-flex flex-column">
                <h5 class="header ">Reimbursement Guide</h5>
                <p>Learn how to reimburse for rubber band ligation.</p>
                <a href="{{route('hcp.practice-support-reimbursement')}}" class="text-dark d-block mt-auto text-end">Learn more <i class="ms-1 fal fa-angle-right"></i> </a>
              </div>
            </div>
          </div>
        </div>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection
